Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class TieClusteringToken

    java.lang.Object
      oracle.ifs.common.ClusteringToken
          oracle.ifs.common.TieClusteringToken

    public class TieClusteringToken

extends ClusteringToken

TieClusteringToken allows the Oracle-defined behavior of the ClusteringToken class to be extended or overridden.

(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.common.ClusteringToken
`ClusteringToken.RegistrationTypeCalculator, ClusteringToken.TokenState`

Field Summary

Fields inherited from class oracle.ifs.common.ClusteringToken
`POSITIONAL_NODE_ALIAS_PREFIX, REGISTRATION_TYPE_STRINGS, SERVER_REGISTRATION_TYPE_BACKUP, SERVER_REGISTRATION_TYPE_NONE, SERVER_REGISTRATION_TYPE_PRIMARY, SERVER_REGISTRATION_TYPE_SECONDARY, SERVER_REGISTRATION_TYPE_UNKNOWN`

Constructor Summary
`TieClusteringToken()` Constructs a TieClusteringToken.

Method Summary

Methods inherited from class oracle.ifs.common.ClusteringToken
`challengeNode, challengeNodes, checkRegistration, getAgentIdentifier, getClusteringStatus, getEffectiveNodeList, getPositionInStringArray, getRegistrationPeriod, getRegistrationType, getRegistrationTypeFromString, getRegistrationTypeString, getRegistrationTypeString, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, initialize, initializeDefaultDeclarations, isRegistered, isTokenNonCompeting, performTokenUpdates, refreshRegistrationType, releaseRegistration, releaseToken, setClusteringStatus, setRegistrationPeriod, updateTokenClearNodeRegistration, updateTokenClearRegistration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieClusteringToken

    public TieClusteringToken()

  Constructs a TieClusteringToken.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD